Package ru.bitel.oss.systems.inventory.service.common.bean

# Class ServiceSpec

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.oss.systems.inventory.service.common.bean.ServiceSpec

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<ServiceSpec>`, `TreeNode<ServiceSpec>`

public class ServiceSpec extends Entity implements Node<ServiceSpec>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceSpec()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ServiceSpec>`
  `getChildren()`
  `String`
  `getComment()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `String`
  `getDescription()`
  `String`
  `getIdentifier()`
  `int`
  `getModuleId()`
  `int`
  `getParentId()`
  `void`
  `setChildren(List<ServiceSpec> children)`
  `ServiceSpec`
  `setComment(String comment)`
  `ServiceSpec`
  `setDateFrom(Date dateFrom)`
  `ServiceSpec`
  `setDateTo(Date dateTo)`
  `ServiceSpec`
  `setDescription(String description)`
  `ServiceSpec`
  `setEntityId(int entityId)`
  `ServiceSpec`
  `setId(int id)`
  Устанавливает id объекта
  `ServiceSpec`
  `setIdentifier(String name)`
  `ServiceSpec`
  `setModuleId(int moduleId)`
  `ServiceSpec`
  `setParentId(int parentId)`
  `ServiceSpec`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ServiceSpec

    public ServiceSpec()

- ## Method Details

  - ### getChildren

    public List<ServiceSpec> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<ServiceSpec>`

  - ### getComment

    public String getComment()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getDescription

    public String getDescription()

  - ### getIdentifier

    public String getIdentifier()

  - ### getModuleId

    public int getModuleId()

  - ### getParentId

    public int getParentId()
    Specified by:
      `getParentId` in interface `Node<ServiceSpec>`

  - ### setChildren

    public void setChildren(List<ServiceSpec> children)
    Specified by:
      `setChildren` in interface `Node<ServiceSpec>`

  - ### setComment

    public ServiceSpec setComment(String comment)

  - ### setDateFrom

    public ServiceSpec setDateFrom(Date dateFrom)

  - ### setDateTo

    public ServiceSpec setDateTo(Date dateTo)

  - ### setDescription

    public ServiceSpec setDescription(String description)

  - ### setEntityId

    public ServiceSpec setEntityId(int entityId)
    Overrides:
      `setEntityId` in class `Entity`

  - ### setId

    public ServiceSpec setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setIdentifier

    public ServiceSpec setIdentifier(String name)

  - ### setModuleId

    public ServiceSpec setModuleId(int moduleId)

  - ### setParentId

    public ServiceSpec setParentId(int parentId)

  - ### setTitle

    public ServiceSpec setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`